Public Member Functions

# wxImage::RGBValue Class Reference

`#include <wx/image.h>`

## Detailed Description

A simple class which stores red, green and blue values as 8 bit unsigned integers in the range of 0-255.

## Public Member Functions
| RGBValue (unsigned char r=0, unsigned char g=0, unsigned char b=0)
| Constructor for RGBValue, an object that contains values for red, green and blue which represent the value of a color.

List of all members.

## Constructor & Destructor Documentation

wxImage::RGBValue::RGBValue | ( | unsigned char | r = `0`,
|  | unsigned char | g = `0`,
|  | unsigned char | b = `0` |
| ) |  |  |

Constructor for RGBValue, an object that contains values for red, green and blue which represent the value of a color.

It is used by wxImage::HSVtoRGB and wxImage::RGBtoHSV, which convert between HSV color space and RGB color space.

|  | [ top ]